Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020751
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. PlatformminorN/A2012-06-13 16:162012-06-18 16:45
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchpiFixed in SCM revision976c8398def2
ProjectionnoneETAnoneTarget Version3.0MP13
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020751: API change: time fields are sent in UTC

DescriptionThe changeset https://code.openbravo.com/erp/devel/pi/rev/976c8398def2e80de470ab55db222555d88566d8, [^] which fixes issue 20684, has modified the way time fields are sent from the server to the client and vice versa.

To be able to support time fields with differente time zones, they have to be sent in UTC, and converted to local time upon being received.

This fields used to be sent using the local time of the sender.
Steps To ReproduceThere may be clients that are receiving time fields from the server, and expect them to be in the server's local time. Now they will receive UTC times, and are expected to send UTC times too.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0020684 closedAugustoMauch Incorrect time in process request with different timezones in client/server 

-  Notes
(0049853)
iciordia (manager)
2012-06-15 13:28

Approved.

Ismael
(0049855)
AugustoMauch (developer)
2012-06-15 13:33

Risk assessment:

This change may only affect negatively those who receive a time from the server and parse it to a date with a non-standard function. In that case, the problem will be solved if the non-standard function is changed to support the lack of GMT offset.

- Issue History
Date Modified Username Field Change
2012-06-13 16:16 AugustoMauch New Issue
2012-06-13 16:16 AugustoMauch Assigned To => AugustoMauch
2012-06-13 16:16 AugustoMauch Modules => Core
2012-06-13 16:17 AugustoMauch Relationship added related to 0020684
2012-06-13 16:18 AugustoMauch Assigned To AugustoMauch => iciordia
2012-06-15 13:28 iciordia Note Added: 0049853
2012-06-15 13:28 iciordia Assigned To iciordia => AugustoMauch
2012-06-15 13:33 AugustoMauch Note Added: 0049855
2012-06-18 16:41 AugustoMauch Status new => scheduled
2012-06-18 16:41 AugustoMauch fix_in_branch => pi
2012-06-18 16:45 AugustoMauch Status scheduled => resolved
2012-06-18 16:45 AugustoMauch Fixed in Version => 3.0MP13
2012-06-18 16:45 AugustoMauch Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/976c8398def2e80de470ab55db222555d88566d8 [^]
2012-06-18 16:45 AugustoMauch Resolution open => fixed
2012-06-18 16:45 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker